# Get API users for a TMC Retrieves the list of all active API users associated with the caller's TMC. Use this endpoint to: - Audit existing API users and their clientIds under a TMC. - Look up the clientId for a specific API user before rotating its client secret or revoking access. Notes: - This endpoint supports pagination using limit and offset query parameters. - The response includes only the clientId for each user. The clientSecret is never returned. - Returns only the API users belonging to the caller's contracting TMC. - Only a TMC admin can use this endpoint. Endpoint: GET /v2/api-users Version: v2 ## Query parameters: - `limit` (integer) Number of results to return - `offset` (integer) Offset for pagination ## Response 200 fields (application/json): - `apiUsers` (array) List of api users - `apiUsers.clientId` (string) Api user client id Example: "1ddj3hs95to28iag7m4hl9lv2" ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.